#include<stdio.h>
#include<math.h>
int unos(int a[],int n)
{
for(int i=0;i<n;i++)
scanf("%d",&a[i]);
}
int promena(int a[],int n)
{
int j,i,x=0,max,l=-1;
do
{	
max=a[x];
for(i=x+1;i<n;i++)
if(a[i]>max)
max=a[i],j=i;
if(max>a[x])
{
a[j]=a[x];
a[x]=max;
l++;
}
x++;
}
while(x<n-1&&a[x-1]!=max&&l!=0);
}
int ispis(int a[],int n)
{
for(int i=0;i<n;i++)
printf("%d ",a[i]);
}
main()
{
int a[100],n;
scanf("%d",&n);
unos(a,n);
promena(a,n);
ispis(a,n);
}